public interface ListEventsResponseOrBuilder
extends com.google.protobuf.MessageOrBuilder
| Modifier and Type | Method and Description |
|---|---|
ErrorEvent |
getErrorEvents(int index)
The error events which match the given request.
|
int |
getErrorEventsCount()
The error events which match the given request.
|
java.util.List<ErrorEvent> |
getErrorEventsList()
The error events which match the given request.
|
ErrorEventOrBuilder |
getErrorEventsOrBuilder(int index)
The error events which match the given request.
|
java.util.List<? extends ErrorEventOrBuilder> |
getErrorEventsOrBuilderList()
The error events which match the given request.
|
java.lang.String |
getNextPageToken()
If non-empty, more results are available.
|
com.google.protobuf.ByteString |
getNextPageTokenBytes()
If non-empty, more results are available.
|
com.google.protobuf.Timestamp |
getTimeRangeBegin()
The timestamp specifies the start time to which the request was restricted.
|
com.google.protobuf.TimestampOrBuilder |
getTimeRangeBeginOrBuilder()
The timestamp specifies the start time to which the request was restricted.
|
boolean |
hasTimeRangeBegin()
The timestamp specifies the start time to which the request was restricted.
|
findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneofjava.util.List<ErrorEvent> getErrorEventsList()
The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;ErrorEvent getErrorEvents(int index)
The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;int getErrorEventsCount()
The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;java.util.List<? extends ErrorEventOrBuilder> getErrorEventsOrBuilderList()
The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;ErrorEventOrBuilder getErrorEventsOrBuilder(int index)
The error events which match the given request.
repeated .google.devtools.clouderrorreporting.v1beta1.ErrorEvent error_events = 1;java.lang.String getNextPageToken()
If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.
string next_page_token = 2;com.google.protobuf.ByteString getNextPageTokenBytes()
If non-empty, more results are available. Pass this token, along with the same query parameters as the first request, to view the next page of results.
string next_page_token = 2;boolean hasTimeRangeBegin()
The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;com.google.protobuf.Timestamp getTimeRangeBegin()
The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;com.google.protobuf.TimestampOrBuilder getTimeRangeBeginOrBuilder()
The timestamp specifies the start time to which the request was restricted.
.google.protobuf.Timestamp time_range_begin = 4;